from django.shortcuts import redirect
from django.urls import path
from django.urls.base import reverse
from . import views


urlpatterns = [
    #
    # settings and other stuff
    #
    path('', lambda request: redirect(reverse('pygal-view', kwargs={'viewtype': 'user'}), permanent=False)),
    path('profile', views.pygal_profile, name='pygal-profile'),
    path('helpview/<str:page>', views.pygal_helpview, name='pygal-helpview'),
    #
    # changes
    #
    path('addtag/<path:rel_path>', views.pygal_addtag, name='pygal-addtag'),
    path('edittag/<int:tag_id>', views.pygal_tagedit, name='pygal-edittag'),
    path('setfavourite/<int:set_favourite>/<path:rel_path>', views.pygal_favourite, name='pygal-setfavourite'),
    #
    # views
    #
    path('userview/search', views.pygal_responses, name='search'),
    path('<str:responsetype>/<str:datatype>/', views.pygal_responses, name='pygal-responses'),
    path('<str:responsetype>/<str:datatype>/<path:rel_path>', views.pygal_responses, name='pygal-responses'),
]
